mia Namespace Reference

## Data Structures

class | CConvergenceMeasure
| Class to get a convergence value as mean over various time steps. More...
class | CFastICADeflNonlinearity
| This is the base clase for non-linearities used in deflation based ICA. More...
class | CFastICANonlinearityBase
class | CIndepCompAnalysis
class | CIndepCompAnalysisFactory
class | TPerLevelScalarParam

## Typedefs

typedef TFactory< CFastICADeflNonlinearity > | CFastICADeflNonlinearityPlugin
typedef THandlerSingleton< TFactoryPluginHandler< CFastICADeflNonlinearityPlugin > > | CFastICADeflNonlinearityPluginHandler
typedef TFactory< CIndepCompAnalysisFactory > | CIndepCompAnalysisFactoryPlugin
typedef THandlerSingleton< TFactoryPluginHandler< CIndepCompAnalysisFactoryPlugin > > | CIndepCompAnalysisFactoryPluginHandler
| plugin handler for spaciel filter kernels
typedef std::shared_ptr< CFastICADeflNonlinearity > | PFastICADeflNonlinearity
typedef CIndepCompAnalysis::Pointer | PIndepCompAnalysis
typedef std::shared_ptr< CIndepCompAnalysisFactory > | PIndepCompAnalysisFactory

## Functions

EXPORT_CORE PFastICADeflNonlinearity | produce_fastica_nonlinearity (const std::string &descr)
PIndepCompAnalysisFactory | produce_ica_factory (const std::string &descr)

## Variables

template class EXPORT_CORE | TPluginHandler< TFactory< CIndepCompAnalysisFactory > >
template<>
const char *const | TPluginHandler< TFactory< CIndepCompAnalysisFactory > >::m_help

## Typedef Documentation

## CFastICADeflNonlinearityPlugin

typedef TFactory<CFastICADeflNonlinearity> mia::CFastICADeflNonlinearityPlugin

Definition at line 124 of file fastica_nonlinearity.hh.

## CIndepCompAnalysisFactoryPlugin

typedef TFactory<CIndepCompAnalysisFactory> mia::CIndepCompAnalysisFactoryPlugin

Definition at line 180 of file core/ica.hh.

## CIndepCompAnalysisFactoryPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<CIndepCompAnalysisFactoryPlugin> > mia::CIndepCompAnalysisFactoryPluginHandler

plugin handler for spaciel filter kernels

Definition at line 186 of file core/ica.hh.

## PFastICADeflNonlinearity

typedef std::shared_ptr<CFastICADeflNonlinearity> mia::PFastICADeflNonlinearity

Definition at line 118 of file fastica_nonlinearity.hh.

## PIndepCompAnalysis

typedef CIndepCompAnalysis::Pointer mia::PIndepCompAnalysis

Definition at line 158 of file core/ica.hh.

## PIndepCompAnalysisFactory

typedef std::shared_ptr<CIndepCompAnalysisFactory> mia::PIndepCompAnalysisFactory

Definition at line 182 of file core/ica.hh.

## Function Documentation

## produce_fastica_nonlinearity()

EXPORT_CORE PFastICADeflNonlinearity mia::produce_fastica_nonlinearity | ( | const std::string & | descr | ) |

References EXPORT_CORE.

## produce_ica_factory()

PIndepCompAnalysisFactory mia::produce_ica_factory | ( | const std::string & | descr | ) |

inline

Definition at line 200 of file core/ica.hh.

References THandlerSingleton< TFactoryPluginHandler< CIndepCompAnalysisFactoryPlugin > >::instance(), and produce_ica_factory().

Referenced by produce_ica_factory().

## Variable Documentation

## TPluginHandler< TFactory< CIndepCompAnalysisFactory > >

template class EXPORT_CORE mia::TPluginHandler< TFactory< CIndepCompAnalysisFactory > >

extern

## TPluginHandler< TFactory< CIndepCompAnalysisFactory > >::m_help

template<>

const char* const mia::TPluginHandler< TFactory< CIndepCompAnalysisFactory > >::m_help

Definition at line 190 of file core/ica.hh.